Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.localsearch.decider.deciderscorecomparator
Class DeciderScoreComparatorFactoryConfig

    java.lang.Object
      org.optaplanner.core.config.localsearch.decider.deciderscorecomparator.DeciderScoreComparatorFactoryConfig

Deprecated.

    @Deprecated
    public class DeciderScoreComparatorFactoryConfig

extends Object

Constructor Summary
`DeciderScoreComparatorFactoryConfig()` Deprecated.

Method Summary
`DeciderScoreComparatorFactory` | `buildDeciderScoreComparatorFactory()` Deprecated.
`Class<? extends DeciderScoreComparatorFactory>` | `getDeciderScoreComparatorClass()` Deprecated.
`DeciderScoreComparatorFactoryType` | `getDeciderScoreComparatorFactoryType()` Deprecated.
`Integer` | `getHardScoreActivationThreshold()` Deprecated.
`Double` | `getHardWeightSurvivalRatio()` Deprecated.
`Integer` | `getStartingHardWeight()` Deprecated.
`Integer` | `getSuccessiveNoHardChangeMaximum()` Deprecated.
`Integer` | `getSuccessiveNoHardChangeMinimum()` Deprecated.
`Double` | `getSuccessiveNoHardChangeRepetitionMultiplicand()` Deprecated.
`void` | `inherit(DeciderScoreComparatorFactoryConfig inheritedConfig)` Deprecated.
`void` | `setDeciderScoreComparatorClass(Class<? extends DeciderScoreComparatorFactory> deciderScoreComparatorClass)` Deprecated.
`void` | `setDeciderScoreComparatorFactoryType(DeciderScoreComparatorFactoryType deciderScoreComparatorFactoryType)` Deprecated.
`void` | `setHardScoreActivationThreshold(Integer hardScoreActivationThreshold)` Deprecated.
`void` | `setHardWeightSurvivalRatio(Double hardWeightSurvivalRatio)` Deprecated.
`void` | `setStartingHardWeight(Integer startingHardWeight)` Deprecated.
`void` | `setSuccessiveNoHardChangeMaximum(Integer successiveNoHardChangeMaximum)` Deprecated.
`void` | `setSuccessiveNoHardChangeMinimum(Integer successiveNoHardChangeMinimum)` Deprecated.
`void` | `setSuccessiveNoHardChangeRepetitionMultiplicand(Double successiveNoHardChangeRepetitionMultiplicand)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeciderScoreComparatorFactoryConfig

    public DeciderScoreComparatorFactoryConfig()

  Deprecated.

Method Detail

### getDeciderScoreComparatorClass

    public Class<? extends DeciderScoreComparatorFactory> getDeciderScoreComparatorClass()

  Deprecated.

### setDeciderScoreComparatorClass

    public void setDeciderScoreComparatorClass(Class<? extends DeciderScoreComparatorFactory> deciderScoreComparatorClass)

  Deprecated.

### getDeciderScoreComparatorFactoryType

    public DeciderScoreComparatorFactoryType getDeciderScoreComparatorFactoryType()

  Deprecated.

### setDeciderScoreComparatorFactoryType

    public void setDeciderScoreComparatorFactoryType(DeciderScoreComparatorFactoryType deciderScoreComparatorFactoryType)

  Deprecated.

### getHardScoreActivationThreshold

    public Integer getHardScoreActivationThreshold()

  Deprecated.

### setHardScoreActivationThreshold

    public void setHardScoreActivationThreshold(Integer hardScoreActivationThreshold)

  Deprecated.

### getSuccessiveNoHardChangeMinimum

    public Integer getSuccessiveNoHardChangeMinimum()

  Deprecated.

### setSuccessiveNoHardChangeMinimum

    public void setSuccessiveNoHardChangeMinimum(Integer successiveNoHardChangeMinimum)

  Deprecated.

### getSuccessiveNoHardChangeMaximum

    public Integer getSuccessiveNoHardChangeMaximum()

  Deprecated.

### setSuccessiveNoHardChangeMaximum

    public void setSuccessiveNoHardChangeMaximum(Integer successiveNoHardChangeMaximum)

  Deprecated.

### getSuccessiveNoHardChangeRepetitionMultiplicand

    public Double getSuccessiveNoHardChangeRepetitionMultiplicand()

  Deprecated.

### setSuccessiveNoHardChangeRepetitionMultiplicand

    public void setSuccessiveNoHardChangeRepetitionMultiplicand(Double successiveNoHardChangeRepetitionMultiplicand)

  Deprecated.

### getHardWeightSurvivalRatio

    public Double getHardWeightSurvivalRatio()

  Deprecated.

### setHardWeightSurvivalRatio

    public void setHardWeightSurvivalRatio(Double hardWeightSurvivalRatio)

  Deprecated.

### getStartingHardWeight

    public Integer getStartingHardWeight()

  Deprecated.

### setStartingHardWeight

    public void setStartingHardWeight(Integer startingHardWeight)

  Deprecated.

### buildDeciderScoreComparatorFactory

    public DeciderScoreComparatorFactory buildDeciderScoreComparatorFactory()

  Deprecated.

### inherit

    public void inherit(DeciderScoreComparatorFactoryConfig inheritedConfig)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.